<?php
#-----------------------------------------------------#
#          ********* Бизнес Сайты *********           #
#             Made by   :  BIZON                      #
#               E-mail  :  blin.alex@bk.ru            #
#                 Site  :  http://f913218p.bget.ru    #
#  Вы не имеете право вносить изменения в код скрипта #
#      это может повлечь неработоспособность сайта    #
#-----------------------------------------------------#
if(isset($_GET['url'])&&isset($_GET['h'])){
$st = htmlspecialchars($_GET['url']);
$st = stripslashes(trim($st));
$height=(int)($_GET['h']);
$filename = "images/vit/".$st;
header('Content-Type: image/jpeg');
list($width_orig, $height_orig) = getimagesize($filename);
$width = round($height * $width_orig/$height_orig);
$image_p = imagecreatetruecolor($width, $height);
$image = imagecreatefromjpeg($filename);
imagecopyresampled($image_p, $image, 0, 0, 0, 0, $width, $height, $width_orig, $height_orig);
imagejpeg($image_p);
}
?>

